#include <stdio.h>


typedef struct {
    int damage;
    int speed;
    int range;
} Bullet;


typedef struct {
    int clipSize;
    int fireRate;
    Bullet bullet;
}Weapon;


int calculateDamage(Weapon *weapon) {
    int range = weapon->bullet.speed * weapon->fireRate;
    int damage = weapon->bullet.damage * range;
    return damage;
}


void highDamage(Bullet *bullet) {
    bullet->damage *= 2;
}

int main() {
    
    Bullet bullet = {10, 100, 50};
    Weapon weapon = {30, 5, bullet};


    int damage = calculateDamage(&weapon);

    printf("Initial damage value: %d\n", damage);

    highDamage(&bullet);

  
    damage = calculateDamage(&weapon);

    printf("High damage value: %d\n", damage);

    return 0;
}